-- settings.lua

local settings = {}

function settings.initMisc()
	vim.opt.backup = false
	vim.opt.undodir = '/Users/fschmidt/.cache/nvim/undodir'
	vim.opt.swapfile = false
	vim.opt.undofile = true
	vim.opt.smartcase = true
	vim.opt.ignorecase = true
	vim.opt.laststatus = 2
	vim.opt.hidden = true
	vim.opt.hlsearch = false
	vim.opt.incsearch = true
	vim.opt.scrolloff = 12
	vim.opt.sidescrolloff = 8
	vim.opt.mouse = 'a'
	vim.opt.autochdir = true
	vim.opt.clipboard = 'unnamed,unnamedplus'
	vim.opt.number = true
	vim.opt.wrap = false
	vim.opt.signcolumn = 'yes:2'
	vim.opt.list = true
	vim.opt.listchars = 'tab:▸ ,trail:·'
	vim.opt.shiftwidth = 4
	vim.opt.tabstop = 4
	vim.opt.softtabstop = 4
	vim.opt.expandtab = false
	vim.opt.autoindent = true
	vim.opt.completeopt = { "menu", "menuone", "noselect" }
end

function settings.initVimWiki()
	vim.g.vimwiki_list = {{path = '~/Documents/Buch/wiki', syntax = 'markdown', ext = '.md'}}
end

function settings.init()
	settings.initMisc()
	settings.initVimWiki()
	require'settings.theme'.init()
	require'settings.lsp'.init()
	require'settings.completion'
	require'settings.tree'
end

return settings
