-- Theming

local theme = {}

function theme.initFont()
	vim.opt.guifont = 'Source Code Pro for Powerline'
end

function theme.lsp_status()
	require'fidget'.setup {}
end

function theme.initStatusline()
	require'lualine'.setup {
		options = {
			theme = 'onedark'
		}
	}
end

function theme.initBufferline()
	local bufferline = require'bufferline'
	bufferline.setup()
end

function theme.initColorscheme()
	vim.g.limelight_conceal_ctermfg = 'gray'
	vim.cmd'colorscheme darcula-solid'
	vim.cmd'set termguicolors'
	vim.opt.syntax = 'on'
end

function theme.init()
	theme.initFont()
	theme.lsp_status()
	theme.initStatusline()
	theme.initBufferline()
	theme.initColorscheme()
end

return theme
